OS Version prerequisite property cannot distinguish between Linux distributions

Technote (troubleshooting)


Problem(Abstract)

When scanning for Tivoli Netcool/OMNIbus prerequisites on a Red Hat Enterprise Linux Workstation machine, the OS Version prerequisite property incorrectly returns a PASS result.

Symptom

The OS Version prerequisite property checks for the operating systems supported by Tivoli Netcool/OMNIbus desktop, probe, or server components. Tivoli Netcool/OMNIbus supports the following Red Hat Linux Enterprise distributions and versions:

Supported operating system Version Architecture Desktop components Probe components Server components
Red Hat Enterprise Linux Desktop 5.* and 6.* x86-64 Yes No No
Red Hat Enterprise Linux Server 5.* and 6.* x86-64 Yes Yes Yes
Red Hat Enterprise Linux Server 5.* and 6.* s390 No Yes Yes

When running a prerequisite scan for the Tivoli Netcool/OMNIbus server components on a machine with RedHat Enterprise Linux Workstation installed, the OS Version prerequisite property incorrectly displayed a PASS result. It should display a FAIL result, because RedHat Enterprise Linux Desktop or its variant RedHat Enterprise Linux Workstation is not a supported RedHat Enterprise Linux operating system for Tivoli Netcool/OMNIbus server components.

Cause

The prerequisite property does not distinguish between the Red Hat Enterprise Linux Workstation variant, available with Red Hat Enterprise Linux Desktop, and Red Hat Enterprise Linux Server.

Resolving the problem

Always ensure that your target environment has only supported operating systems installed. If you intend to install Tivoli Netcool/OMNIbus server or probe components, ensure you have installed Red Hat Enterprise Linux Server Version 5.* or later, or Version 6.* or later.

Cross reference information
Segment Product Component Platform Version Edition
Systems and Asset Management Tivoli Netcool/OMNIbus Linux 7.4.0

Product Alias/Synonym

PRS

Rate this page:

(0 users)Average rating

Document information


More support for:

IBM Prerequisite Scanner

Software version:

1.2.0.2

Operating system(s):

Linux

Reference #:

1619404

Modified date:

2012-12-04

Translate my page

Machine Translation

Content navigation